Public Class Exceptions
    Public Class ZUGFeRDExecption
        Inherits ApplicationException

        Public ReadOnly Property ErrorType() As ZUGFeRDInterface.ErrorType

        Public Sub New(ErrorType As ZUGFeRDInterface.ErrorType, Message As String)
            MyBase.New(Message)

            _ErrorType = ErrorType
        End Sub
    End Class
End Class
